aboutsummaryrefslogtreecommitdiff
path: root/sys
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2009-01-05 00:36:07 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2009-01-05 00:36:07 +0000
commit80635737d7500c6566ef865ded9130be5cc9c7b8 (patch)
tree5e502dcc6f075583d8561175f45d18735abdb484 /sys
parentf77b11f772bb242dcba20f890f577133fe5badfa (diff)
downloadslackbuilds-80635737d7500c6566ef865ded9130be5cc9c7b8.tar.gz
slackbuilds-80635737d7500c6566ef865ded9130be5cc9c7b8.tar.bz2
e_dbus: adding e_dbus
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@2070 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sys')
-rw-r--r--sys/apps/e_dbus/Manifest3
-rw-r--r--sys/apps/e_dbus/e_dbus.SlackBuild167
-rw-r--r--sys/apps/e_dbus/slack-required4
3 files changed, 174 insertions, 0 deletions
diff --git a/sys/apps/e_dbus/Manifest b/sys/apps/e_dbus/Manifest
new file mode 100644
index 00000000..b0849584
--- /dev/null
+++ b/sys/apps/e_dbus/Manifest
@@ -0,0 +1,3 @@
+MKBUILD e_dbus.mkbuild 2862 MD5 1f211d4b78ffb3ff11a8599d225071e7 RMD160 1f8f35402e65a47f404c3e2d2594f445f4437b3e SHA1 5ebc8840b30d4ceac8a54c93dc9904e25da72e84 SHA256 7663507d14fc1435087260bec65cb18731df2976a5cdcda42cf13a220fe82d30 SHA512 302d638055e36dc1299e909bdbae8caaaa3bef78bdeff4906a9337c9b5aa5aca07f56a7b1e6363fb0e4b786da863a1c4c0d5d51951065d3bbfdc098f07cecdf3
+SLACK-REQUIRED slack-required 76 MD5 5fb8d262ed431562d06929308404e398 RMD160 fdff8960878cca48d7fe804ab5d2456f19f3d51c SHA1 ce5bf48c1fb01d6813774753f983929de2f68d73 SHA256 1b7e83b102db3c098e9c1da5d4ac81de1966a395762724612e3e8c77ad185ef1 SHA512 51e97829680b3fa570a9edc681f6895722f10c1713bc1a0b959645073ac9de6b570498ded2a170fb258eb3063927a17101e8a49f7b0d219996921767a1177ca4
+SLACKBUILD e_dbus.SlackBuild 4950 MD5 285e0946e2eed5ddfb82fe25be256a88 RMD160 9a469f35e10bbbd017dd0406f5fb4553e6679740 SHA1 ccf567dbc1db0d34d917f685e910d2f14afa392b SHA256 7b4eed9720a9b33ebd31ecd64b3ff2456749ceaa44f611e60b64b2c01576e843 SHA512 b1044b58cfec5f33b162eced31bd10b7cb50ae5fc1183aa54f95649a0eb76233b7eef24935f4584716c701237b0f13990628c4cae5e47a48fc86aad5599fb815
diff --git a/sys/apps/e_dbus/e_dbus.SlackBuild b/sys/apps/e_dbus/e_dbus.SlackBuild
new file mode 100644
index 00000000..b4f0c31d
--- /dev/null
+++ b/sys/apps/e_dbus/e_dbus.SlackBuild
@@ -0,0 +1,167 @@
+#!/bin/bash
+#
+# e_dbus.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# e_dbus.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for e_dbus, by Silvio Rhatto
+# requires: ecore
+# tested: e_dbus-svn_version
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="e_dbus"
+PKG_NAME="e_dbus"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=svn_version}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc"}
+NUMJOBS=${NUMJOBS:=""}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+ERROR_MANIFEST=43;
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Get svn source code
+cd "$SRC_DIR"
+SND_DIR="`basename http://svn.enlightenment.org/svn/e/trunk/e_dbus`"
+
+if [ "`find "$SRC_DIR/" -name .svn`" != "" ] && [ -d "$SRC_DIR/$SND_DIR" ]; then
+ cd $SND_DIR
+ svn update || exit $ERROR_VCS
+else
+ svn checkout http://svn.enlightenment.org/svn/e/trunk/e_dbus $SND_DIR || exit $ERROR_VCS
+ cd $SND_DIR
+fi
+
+PKG_VERSION="`svn info | awk '/Last Changed Rev:/ { print $4 }'`_svn"
+
+# Copy svn source
+cd "$PKG_WORK"
+cp -a $SRC_DIR/* .
+PKG_SRC="$PWD/$SND_DIR"
+cd "$PKG_SRC"
+
+# Configure
+./autogen.sh || exit $ERROR_CONF
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING ChangeLog NEWS README TODO BUGS"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ _ |-----handy-ruler-------------------------------------------------------|
+e_dbus: e_dbus
+e_dbus:
+e_dbus: e_dbus is a set of wrappers around dbus to ease integrating dbus
+e_dbus: with EFL based applications.
+e_dbus:
+e_dbus:
+e_dbus:
+e_dbus:
+e_dbus:
+e_dbus:
+e_dbus:
+EODESC
+
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/sys/apps/e_dbus/slack-required b/sys/apps/e_dbus/slack-required
new file mode 100644
index 00000000..dac8b4d8
--- /dev/null
+++ b/sys/apps/e_dbus/slack-required
@@ -0,0 +1,4 @@
+# Dependency list to e_dbus
+#
+# dependency [condition] [version]]
+ecore